## compressed-tensors 0.9.4

=== Makefile ===
.PHONY: build docs test

BUILD_TYPE ?= dev # set nightly to build nightly release
PYCHECKDIRS := src tests
PYCHECKGLOBS := 'src/**/*.py' 'tests/**/*.py' 'utils/**/*.py' 'examples/**/*.py' setup.py
# run checks on all files for the repo
quality:
	@echo "Running copyright checks";
	python utils/copyright.py quality $(PYCHECKGLOBS)
	@echo "Running python quality checks";
	black --check $(PYCHECKDIRS);
	isort --check-only $(PYCHECKDIRS);
	flake8 $(PYCHECKDIRS);

# style the code according to accepted standards for the repo
style:
	@echo "Running copyright style";
	python utils/copyright.py style $(PYCHECKGLOBS)
	@echo "Running python styling";
	black $(PYCHECKDIRS);
	isort $(PYCHECKDIRS);

# run tests for the repo
test:
	@echo "Running python tests";
	pytest tests;

# creates wheel file
build:
	@echo "Building the wheel for the repository";
	BUILD_TYPE=$(BUILD_TYPE) python3 setup.py sdist bdist_wheel;

# clean package
clean:
	@echo "Cleaning up";
	rm -rf .pytest_cache;
	find $(PYCHECKDIRS) | grep -E "(__pycache__|\.pyc|\.pyo)" | xargs rm -rf;

=== debian/changelog ===
compressed-tensors (0.9.4-1) unstable; urgency=medium

  * Initial release.

 -- Kohei Sendai <kouhei.sendai@gmail.com>  Thu, 26 Jun 2025 05:57:04 +0000

=== debian/control ===
Source: compressed-tensors
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Kohei Sendai <kouhei.sendai@gmail.com>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-setuptools,
 python3-setuptools-scm,
 python3-all,
 python3-torch | python3-torch-cuda,
 python3-transformers,
 python3-pydantic
#Testsuite: autopkgtest-pkg-python
Standards-Version: 4.7.2
Homepage: https://github.com/neuralmagic/compressed-tensors
Vcs-Browser: https://salsa.debian.org/python-team/packages/compressed-tensors
Vcs-Git: https://salsa.debian.org/python-team/packages/compressed-tensors.git

Package: python3-compressed-tensors
Architecture: all
Depends:
 ${python3:Depends},
 ${misc:Depends},
Description: extends safetensors files to compressed tensor data types
 The compressed-tensors library extends the safetensors format, providing 
 a versatile and efficient way to store and manage compressed tensor data. 
 This library supports various quantization and sparsity schemes, making 
 it a unified format for handling different model optimizations like GPTQ, 
 AWQ, SmoothQuant, INT8, FP8, SparseGPT, and more.

=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_NAME=compressed-tensors

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_test:
	true

=== debian/tests/control ===
Test-Command: cd tests ; HOME=$AUTOPKGTEST_TMP pytest-3 -v test_examples/test_bitmask_compression_ipynb.py
Depends: @, python3-pytest, python3-pytest-mock, python3-pytest-env, black,python3-isort, python3-wheel, python3-flake8,python3-nbconvert
Restrictions: allow-stderr
Features: test-name=pytest-bitmask-compression

Test-Command: cd tests ; HOME=$AUTOPKGTEST_TMP pytest-3 -v test_compressors/model_compressors/test_model_compressor.py
Depends: @, python3-pytest, python3-pytest-mock, python3-pytest-env, black,python3-isort, python3-wheel, python3-flake8,python3-nbconvert
Restrictions: allow-stderr
Features: test-name=pytest-model-compressor

Test-Command: cd tests ; HOME=$AUTOPKGTEST_TMP pytest-3 -v test_compressors/quantized_compressors/test_fp8_quant.py
Depends: @, python3-pytest, python3-pytest-mock, python3-pytest-env, black,python3-isort, python3-wheel, python3-flake8,python3-nbconvert
Restrictions: allow-stderr
Features: test-name=pytest-fp8-quant

Test-Command: cd tests ; HOME=$AUTOPKGTEST_TMP pytest-3 -v test_compressors/quantized_compressors/test_int_quant.py
Depends: @, python3-pytest, python3-pytest-mock, python3-pytest-env, black,python3-isort, python3-wheel, python3-flake8,python3-nbconvert
Restrictions: allow-stderr
Features: test-name=pytest-int-quant

Test-Command: cd tests ; HOME=$AUTOPKGTEST_TMP pytest-3 -v test_compressors/quantized_compressors/test_pack_quant.py
Depends: @, python3-pytest, python3-pytest-mock, python3-pytest-env, black,python3-isort, python3-wheel, python3-flake8,python3-nbconvert
Restrictions: allow-stderr
Features: test-name=pytest-pack-quant

Test-Command: cd tests ; HOME=$AUTOPKGTEST_TMP pytest-3 -v test_compressors/sparse_compressors/test_bitmask.py
Depends: @, python3-pytest, python3-pytest-mock, python3-pytest-env, black,python3-isort, python3-wheel, python3-flake8,python3-nbconvert
Restrictions: allow-stderr
Features: test-name=pytest-bitmask

Test-Command: cd tests ; HOME=$AUTOPKGTEST_TMP pytest-3 -v test_compressors/sparse_compressors/test_sparse_24_bitmask.py
Depends: @, python3-pytest, python3-pytest-mock, python3-pytest-env, black,python3-isort, python3-wheel, python3-flake8,python3-nbconvert
Restrictions: allow-stderr
Features: test-name=pytest-24-bitmask

Test-Command: cd tests ; HOME=$AUTOPKGTEST_TMP pytest-3 -v test_compressors/sparse_quantized_compressors/test_marlin_24.py
Depends: @, python3-pytest, python3-pytest-mock, python3-pytest-env, black,python3-isort, python3-wheel, python3-flake8,python3-nbconvert
Restrictions: allow-stderr
Features: test-name=pytest-marlin-24

Test-Command: cd tests ; HOME=$AUTOPKGTEST_TMP pytest-3 -v test_configs/test_base.py
Depends: @, python3-pytest, python3-pytest-mock, python3-pytest-env, black,python3-isort, python3-wheel, python3-flake8,python3-nbconvert
Restrictions: allow-stderr
Features: test-name=pytest-base

Test-Command: cd tests ; HOME=$AUTOPKGTEST_TMP pytest-3 -v test_quantization/test_quant_scheme.py

=== debian/watch ===
# Example watch control file for uscan.
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# See uscan(1) for format.

# Compulsory line, this is a version 4 file.
version=4

# PGP signature mangle, so foo.tar.gz has foo.tar.gz.sig.
#opts="pgpsigurlmangle=s%$%.sig%"

# HTTP site (basic).
#http://example.com/downloads.html \
#    files/compressed-tensors-([\d\.]+)\.tar\.gz

# Uncomment to examine an FTP server.
#ftp://ftp.example.com/pub/compressed-tensors-(.*)\.tar\.gz

# SourceForge hosted projects.
#http://sf.net/compressed-tensors/ compressed-tensors-(.*)\.tar\.gz

# GitHub hosted projects.
#opts="filenamemangle=s%(?:.*?)?v?(@ANY_VERSION@@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
#    https://github.com/<user>/<project>/tags \
#    (?:.*?/)v?@ANY_VERSION@@ARCHIVE_EXT@

# GitLab hosted projects.
#opts="filenamemangle=s%(?:.*?)?v?(@ANY_VERSION@@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
#    https://gitlab.com/<user>/<project>/-/tags \
#    archive/v?@ANY_VERSION@/<project>-v?\d\S*@ARCHIVE_EXT@

# PyPI.
#https://pypi.debian.net/compressed-tensors/compressed-tensors-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

# Direct Git.
#opts="mode=git" http://git.example.com/compressed-tensors.git \
#    refs/tags/v([\d\.]+)
